Subject: bug#51381: HEIF image format support

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Mon, 25 Oct 2021 13:05:45 +0900

On Mon, 25 Oct 2021 12:38:00 +0900,
Stefan Kangas wrote:
> 
> For example, I stumbled upon this comment from one user:
> 
>     "I have used image-dired from time to time, but less so now since
>     Apple's default image type is .heic. I can't open these images in
>     the emacs-mac (Mitsuharo's version).

As the Mac port supports image types the Image I/O framework can
handle, HEIC images can be displayed on macOS 10.15 and later.  You
need the following setting mentioned in the info node "Mac Images":

     (when (and (image-type-available-p 'image-io)
                (not (boundp 'imagemagick-render-type)))
        ;; Image I/O is used as a fallback of ImageMagick.
        (setq imagemagick-enabled-types t)
        (setq imagemagick-types-inhibit
              (cons 'XML (delq 'PDF imagemagick-types-inhibit)))
        (imagemagick-register-types))

				     YAMAMOTO Mitsuharu
				[email-masked]